Validate scrap
Validate a draft scrap and update stock quantities
POST
/
admin
/
api
/
v1
/
inventories
/
scraps
/
{id}
/
validate
Validate scrap
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/inventories/scraps/{id}/validate \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/scraps/{id}/validate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/scraps/{id}/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/scraps/{id}/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "SP/1",
"origin": "WH/OUT/0001",
"state": "done",
"qty": 2,
"should_replenish": false,
"closed_at": "2026-02-25T00:00:00.000000Z",
"created_at": "2026-02-25T14:57:35.000000Z",
"updated_at": "2026-02-25T14:58:17.000000Z"
},
"message": "Scrap validated successfully."
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Response
Success
⌘I
Validate scrap
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/inventories/scraps/{id}/validate \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/scraps/{id}/validate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/scraps/{id}/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/scraps/{id}/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "SP/1",
"origin": "WH/OUT/0001",
"state": "done",
"qty": 2,
"should_replenish": false,
"closed_at": "2026-02-25T00:00:00.000000Z",
"created_at": "2026-02-25T14:57:35.000000Z",
"updated_at": "2026-02-25T14:58:17.000000Z"
},
"message": "Scrap validated successfully."
}{
"message": "Unauthenticated."
}